Subject: Re: bug#23830: 25.0.94; Emacs eats left Windows key on Windows 7

From: Eli Zaretskii <[email-masked]>
Date: Thu, 23 Jun 2016 05:35:52 +0300

> From: Richard Copley <[email-masked]>
> Date: Wed, 22 Jun 2016 20:33:34 +0100
> Cc: [email-masked]
> 
> >> My two most recent emacs-25 builds are from revisions:
> >>   ab182c624868fcc0ed97597db669911099d4bd28 (commit time 2016-06-12
> >> 17:33:52 UTC),
> >>   788c9b69e1801dd883dbe603281571ef3c78a724 (commit time 2016-05-31
> >> 06:17:55 UTC).
> >> The bug is present in the 2016-06-12 build and absent in the 2016-05-31 build.
> 
> > These two commits are not on the emacs-25 branch.
> 
> Sorry for the confusion.
> I don't want to jump to conclusions but assuming you're right then I
> must have built from master and forgotten about it.
> 
> Is it possible you're only half right and that one of those two
> commits is on emacs-25 and the other is not?
> I ask because I get the following values inside the two builds:
> 
> (emacs-version) "GNU Emacs 25.0.94.1 (x86_64-w64-mingw32)
>  of 2016-05-31"
> emacs-repository-version "788c9b69e1801dd883dbe603281571ef3c78a724"

Yes, this commit indeed started on emacs-25.  Which explains why you
say it doesn't have the problem: the emacs-25 branch doesn't have that
problem at all, to this day.

It also means that the problem appeared on master much earlier,
probably when the changes were done in February.

> Can you please tell me how to verify whether a commit is on a branch
> for myself (so I'm less likely to make mistakes like this in the
> future)?
> What I did is this:
>   (in Git CMD in repository root): git checkout emacs-25 && git pull
>   (in Emacs in repository root): C-x v L ;; vc-print-root-log
> then searched for and found both commits' checksums.
> The root log starts (HEAD -> emacs-25, origin/master, origin/HEAD,
> master). Maybe it's actually a combined log. I'm more familiar with
> Subversion and perhaps I made unwarranted assumptions about Git's log.

We merge from emacs-25 to master, so commits from emacs-26 eventually
appear on master as well.